Security Enhanced Linux Reference Policy

# Layer: services

## Module: rwho

Interfaces

### Description:

Who is logged in on other machines?

### Interfaces:

rwho_admin( domain , role )

##### Summary

All of the rules required to administrate an rwho environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role allowed access.

rwho_domtrans( domain )

##### Summary

Execute a domain transition to run rwho.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

rwho_manage_spool_files( domain )

##### Summary

Create, read, write, and delete rwho spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rwho_read_log_files( domain )

##### Summary

Read rwho log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rwho_read_spool_files( domain )

##### Summary

Read rwho spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rwho_search_log( domain )

##### Summary

Search rwho log directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rwho_search_spool( domain )

##### Summary

Search rwho spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return